%%%---------------------------------------
%%% module      : data_reversi
%%% description : 黑白棋抽奖配置
%%%
%%%---------------------------------------
-module(data_reversi).
-compile(export_all).
-include("reversi.hrl").



get_reversi_route(1) ->
    #reversi_route{route_id = 1,route_step = [1,4,13,16],weight = 100,weight_temp = 32767,temp_lowlimit = 50,temp_toplimit = 51};

get_reversi_route(2) ->
    #reversi_route{route_id = 2,route_step = [13,4,16,1],weight = 100,weight_temp = 32767,temp_lowlimit = 50,temp_toplimit = 51};

get_reversi_route(3) ->
    #reversi_route{route_id = 3,route_step = [5,13,16,1,4],weight = 200,weight_temp = 32767,temp_lowlimit = 50,temp_toplimit = 52};

get_reversi_route(4) ->
    #reversi_route{route_id = 4,route_step = [11,1,13,16,4],weight = 200,weight_temp = 32767,temp_lowlimit = 50,temp_toplimit = 52};

get_reversi_route(5) ->
    #reversi_route{route_id = 5,route_step = [3,1,16,4,13],weight = 200,weight_temp = 32767,temp_lowlimit = 50,temp_toplimit = 52};

get_reversi_route(6) ->
    #reversi_route{route_id = 6,route_step = [8,5,13,4,1,16],weight = 300,weight_temp = 32767,temp_lowlimit = 51,temp_toplimit = 53};

get_reversi_route(7) ->
    #reversi_route{route_id = 7,route_step = [11,9,4,16,13,1],weight = 300,weight_temp = 32767,temp_lowlimit = 51,temp_toplimit = 53};

get_reversi_route(8) ->
    #reversi_route{route_id = 8,route_step = [15,13,2,1,16,4],weight = 300,weight_temp = 32767,temp_lowlimit = 51,temp_toplimit = 53};

get_reversi_route(9) ->
    #reversi_route{route_id = 9,route_step = [12,4,14,16,1,13],weight = 300,weight_temp = 32767,temp_lowlimit = 51,temp_toplimit = 53};

get_reversi_route(10) ->
    #reversi_route{route_id = 10,route_step = [4,1,7,5,12,13,16],weight = 500,weight_temp = 500,temp_lowlimit = 53,temp_toplimit = 55};

get_reversi_route(11) ->
    #reversi_route{route_id = 11,route_step = [1,4,10,11,12,16,13],weight = 500,weight_temp = 500,temp_lowlimit = 53,temp_toplimit = 55};

get_reversi_route(12) ->
    #reversi_route{route_id = 12,route_step = [10,12,2,4,16,1,13],weight = 500,weight_temp = 500,temp_lowlimit = 53,temp_toplimit = 55};

get_reversi_route(13) ->
    #reversi_route{route_id = 13,route_step = [9,11,8,16,13,4,1],weight = 500,weight_temp = 500,temp_lowlimit = 53,temp_toplimit = 55};

get_reversi_route(14) ->
    #reversi_route{route_id = 14,route_step = [7,6,14,16,4,1,13],weight = 500,weight_temp = 500,temp_lowlimit = 53,temp_toplimit = 55};

get_reversi_route(15) ->
    #reversi_route{route_id = 15,route_step = [3,8,15,13,16,4,10,1],weight = 800,weight_temp = 0,temp_lowlimit = 55,temp_toplimit = 100};

get_reversi_route(16) ->
    #reversi_route{route_id = 16,route_step = [8,5,1,4,9,12,16,13],weight = 800,weight_temp = 0,temp_lowlimit = 55,temp_toplimit = 100};

get_reversi_route(17) ->
    #reversi_route{route_id = 17,route_step = [12,9,14,16,13,1,6,4],weight = 800,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 100};

get_reversi_route(18) ->
    #reversi_route{route_id = 18,route_step = [14,16,2,11,13,8,1,4],weight = 800,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 100};

get_reversi_route(19) ->
    #reversi_route{route_id = 19,route_step = [10,12,3,16,4,13,2,1],weight = 800,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 100};

get_reversi_route(20) ->
    #reversi_route{route_id = 20,route_step = [5,7,10,12,13,15,4,1,16],weight = 600,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(21) ->
    #reversi_route{route_id = 21,route_step = [9,4,11,12,6,1,14,16,13],weight = 600,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(22) ->
    #reversi_route{route_id = 22,route_step = [14,2,3,11,15,16,4,13,1],weight = 600,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(23) ->
    #reversi_route{route_id = 23,route_step = [6,8,10,14,16,3,1,4,13],weight = 600,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(24) ->
    #reversi_route{route_id = 24,route_step = [7,5,15,9,13,1,8,4,16],weight = 600,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(25) ->
    #reversi_route{route_id = 25,route_step = [11,9,3,12,4,1,13,14,16],weight = 600,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(26) ->
    #reversi_route{route_id = 26,route_step = [13,1,3,4,7,14,15,8,12,16],weight = 400,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(27) ->
    #reversi_route{route_id = 27,route_step = [6,8,10,14,16,3,9,1,4,13],weight = 400,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(28) ->
    #reversi_route{route_id = 28,route_step = [16,13,9,6,3,12,4,5,2,1],weight = 400,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(29) ->
    #reversi_route{route_id = 29,route_step = [2,14,3,11,15,13,1,12,16,4],weight = 400,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(30) ->
    #reversi_route{route_id = 30,route_step = [15,7,5,12,13,4,3,16,2,1],weight = 400,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(31) ->
    #reversi_route{route_id = 31,route_step = [4,2,11,8,16,10,5,1,9,14,13],weight = 200,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(32) ->
    #reversi_route{route_id = 32,route_step = [8,5,3,15,12,1,4,9,14,16,13],weight = 200,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(33) ->
    #reversi_route{route_id = 33,route_step = [16,13,11,7,6,9,1,3,12,8,4],weight = 200,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(34) ->
    #reversi_route{route_id = 34,route_step = [15,8,16,11,13,10,5,3,2,1,4],weight = 200,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(35) ->
    #reversi_route{route_id = 35,route_step = [16,6,14,13,5,7,8,2,3,4,1],weight = 200,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(36) ->
    #reversi_route{route_id = 36,route_step = [2,14,5,7,8,4,9,11,15,13,16,1],weight = 100,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(37) ->
    #reversi_route{route_id = 37,route_step = [1,3,8,7,9,10,13,4,14,11,12,16],weight = 100,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(38) ->
    #reversi_route{route_id = 38,route_step = [7,10,11,1,9,2,12,8,4,14,16,13],weight = 100,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(39) ->
    #reversi_route{route_id = 39,route_step = [10,7,6,16,8,15,5,9,13,3,1,4],weight = 100,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(40) ->
    #reversi_route{route_id = 40,route_step = [6,14,4,7,8,15,12,2,16,5,9,13,1],weight = 50,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(41) ->
    #reversi_route{route_id = 41,route_step = [12,9,7,15,14,16,4,6,3,13,2,5,1],weight = 50,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(42) ->
    #reversi_route{route_id = 42,route_step = [7,15,12,13,10,9,6,2,8,4,5,1,16],weight = 50,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(43) ->
    #reversi_route{route_id = 43,route_step = [1,3,7,11,12,8,14,10,16,6,5,4,9,13],weight = 50,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(44) ->
    #reversi_route{route_id = 44,route_step = [11,6,8,4,12,2,5,10,14,15,16,9,1,13],weight = 50,weight_temp = 0,temp_lowlimit = 50,temp_toplimit = 50};

get_reversi_route(_Routeid) ->
    [].

get_route_list() ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44].


get_value(consume_type) ->
    [{1,[{100,105402,50}]}];


get_value(fresh) ->
    [{100,105401,1}];


get_value(fresh_extra) ->
    [{100,105401,2}];


get_value(init_lucky) ->
    [50];

get_value(_Key) ->
    [].

get_reward_info(1,1) ->
    #reversi_reward{type = 1,reward = [{100,402003,30}],weight = 50,limit = 2,total_limit = 2,req_limit = 15,is_lucky = 1,is_tv = 1,lucky = [70,9999],role_lv = [40,999]};

get_reward_info(1,2) ->
    #reversi_reward{type = 1,reward = [{100,402003,15}],weight = 100,limit = 2,total_limit = 2,req_limit = 15,is_lucky = 1,is_tv = 1,lucky = [70,9999],role_lv = [40,999]};

get_reward_info(1,3) ->
    #reversi_reward{type = 1,reward = [{100,402003,5}],weight = 400,limit = 2,total_limit = 6,req_limit = 12,is_lucky = 1,is_tv = 1,lucky = [70,9999],role_lv = [40,999]};

get_reward_info(1,4) ->
    #reversi_reward{type = 1,reward = [{100,102306,1}],weight = 150,limit = 2,total_limit = 10,req_limit = 14,is_lucky = 1,is_tv = 1,lucky = [60,9999],role_lv = [40,999]};

get_reward_info(1,5) ->
    #reversi_reward{type = 1,reward = [{100,102408,1}],weight = 50,limit = 2,total_limit = 5,req_limit = 15,is_lucky = 1,is_tv = 1,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,6) ->
    #reversi_reward{type = 1,reward = [{100,450040,1}],weight = 200,limit = 2,total_limit = 50,req_limit = 14,is_lucky = 1,is_tv = 1,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,7) ->
    #reversi_reward{type = 1,reward = [{100,450036,1}],weight = 200,limit = 2,total_limit = 50,req_limit = 14,is_lucky = 1,is_tv = 1,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,8) ->
    #reversi_reward{type = 1,reward = [{100,450038,1}],weight = 200,limit = 2,total_limit = 50,req_limit = 14,is_lucky = 1,is_tv = 1,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,9) ->
    #reversi_reward{type = 1,reward = [{100,109034,1}],weight = 1000,limit = 2,total_limit = 9999,req_limit = 14,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,10) ->
    #reversi_reward{type = 2,reward = [{100,402003,2}],weight = 50,limit = 2,total_limit = 9999,req_limit = 8,is_lucky = 0,is_tv = 0,lucky = [55,9999],role_lv = [40,999]};

get_reward_info(1,11) ->
    #reversi_reward{type = 2,reward = [{100,251009,1}],weight = 150,limit = 2,total_limit = 9999,req_limit = 8,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,12) ->
    #reversi_reward{type = 2,reward = [{100,251003,1}],weight = 150,limit = 2,total_limit = 9999,req_limit = 8,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,13) ->
    #reversi_reward{type = 2,reward = [{100,251006,1}],weight = 150,limit = 2,total_limit = 9999,req_limit = 8,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,14) ->
    #reversi_reward{type = 2,reward = [{100,330903,1}],weight = 150,limit = 2,total_limit = 9999,req_limit = 8,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,15) ->
    #reversi_reward{type = 2,reward = [{100,330902,3}],weight = 300,limit = 2,total_limit = 9999,req_limit = 8,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,16) ->
    #reversi_reward{type = 2,reward = [{100,109033,2}],weight = 500,limit = 2,total_limit = 9999,req_limit = 8,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,17) ->
    #reversi_reward{type = 2,reward = [{100,109033,1}],weight = 500,limit = 2,total_limit = 9999,req_limit = 8,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,18) ->
    #reversi_reward{type = 2,reward = [{100,450024,2}],weight = 500,limit = 2,total_limit = 9999,req_limit = 8,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,19) ->
    #reversi_reward{type = 3,reward = [{100,402003,1}],weight = 200,limit = 3,total_limit = 9999,req_limit = 2,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,20) ->
    #reversi_reward{type = 3,reward = [{100,109032,2}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 2,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,21) ->
    #reversi_reward{type = 3,reward = [{100,109002,2}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 2,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,22) ->
    #reversi_reward{type = 3,reward = [{100,109022,2}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 2,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,23) ->
    #reversi_reward{type = 3,reward = [{100,109012,2}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 2,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,24) ->
    #reversi_reward{type = 3,reward = [{100,450023,3}],weight = 700,limit = 3,total_limit = 9999,req_limit = 2,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,25) ->
    #reversi_reward{type = 3,reward = [{100,450023,2}],weight = 700,limit = 3,total_limit = 9999,req_limit = 2,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,26) ->
    #reversi_reward{type = 3,reward = [{100,450023,1}],weight = 500,limit = 3,total_limit = 9999,req_limit = 2,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,27) ->
    #reversi_reward{type = 3,reward = [{100,450024,1}],weight = 700,limit = 3,total_limit = 9999,req_limit = 2,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,28) ->
    #reversi_reward{type = 4,reward = [{100,251008,1}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,29) ->
    #reversi_reward{type = 4,reward = [{100,251002,1}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,30) ->
    #reversi_reward{type = 4,reward = [{100,251005,1}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,31) ->
    #reversi_reward{type = 4,reward = [{100,450026,2}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,32) ->
    #reversi_reward{type = 4,reward = [{100,450026,1}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,33) ->
    #reversi_reward{type = 4,reward = [{100,450023,1}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,34) ->
    #reversi_reward{type = 5,reward = [{100,109002,1}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,35) ->
    #reversi_reward{type = 5,reward = [{100,109022,1}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,36) ->
    #reversi_reward{type = 5,reward = [{100,109012,1}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,37) ->
    #reversi_reward{type = 5,reward = [{100,102603,3}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,38) ->
    #reversi_reward{type = 5,reward = [{100,102000,1}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,39) ->
    #reversi_reward{type = 5,reward = [{100,102004,1}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,40) ->
    #reversi_reward{type = 5,reward = [{100,102100,1}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 1,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,41) ->
    #reversi_reward{type = 5,reward = [{100,105401,2}],weight = 300,limit = 3,total_limit = 9999,req_limit = 3,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(1,42) ->
    #reversi_reward{type = 5,reward = [{100,105401,1}],weight = 1000,limit = 3,total_limit = 9999,req_limit = 3,is_lucky = 0,is_tv = 0,lucky = [50,9999],role_lv = [40,999]};

get_reward_info(_Subtype,_Grade) ->
    [].


get_grade_list(1) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42];

get_grade_list(_Subtype) ->
    [].

get_grade_for_type(1,1) ->
    [1,2,3,4,5,6,7,8,9];

get_grade_for_type(1,2) ->
    [10,11,12,13,14,15,16,17,18];

get_grade_for_type(1,3) ->
    [19,20,21,22,23,24,25,26,27];

get_grade_for_type(1,4) ->
    [28,29,30,31,32,33];

get_grade_for_type(1,5) ->
    [34,35,36,37,38,39,40,41,42];

get_grade_for_type(_Subtype,_Type) ->
    [].

